{% set route = app.request.attributes.get('_route') %}
    {% set route_params = app.request.attributes.get('_route_params') %}
    {% set params = route_params|merge(app.request.query.all) %}
<ul>
    {% for locale in locales.getAll %}
        <li>
            <a href="{{ path(route, params|merge({ _locale: locale })) }}">
                <img src="{{ asset('/admin/assets/images/langs/' ~ locale ~ '.png')|imagine_filter('flags') }}"
                     alt="{{ locale }}">
            </a>
        </li>
    {% endfor %}
</ul>
